%define module_dir Video
%define module_name DVDRip
%define _name dvdrip

Name: perl-%module_dir-%module_name
Version: 0.50.16
Release: alt0.5

Summary: DVD ripping graphical tool using transcode
License: GPL/Artistic
Group: Video
Url: http://www.exit1.org/dvdrip/
Source: %url/dist/%module_dir-%module_name-%version.tar.gz
Patch: %name-0.50.16-alt-deparse.patch

BuildArch: noarch

# Hack to avoid bug in perl.prov
#Provides: perl(Video/DVDRip/GUI/MinSizeGroup.pm)
#Provides: perl(Video/DVDRip/GUI/Setting.pm)
#Provides: perl(Video/DVDRip/GUI/Setting/Checkbox.pm)
#Provides: perl(Video/DVDRip/GUI/Setting/Text.pm)

Requires: transcode >= 0.6.2
Requires: mjpegtools >= 1.6.0
Requires: ImageMagick
Requires: ogmtools >= 1.0.2
# burning related tools
Requires: mkisofs
Requires: cdrecord
Requires: cdrdao
Requires: vcdimager
#Requires: fping
#Requires: rar
#Requires: subtitleripper

# Automatically added by buildreq on Thu Feb 27 2003
#BuildRequires: ImageMagick XFree86-libs XFree86-locales aalib cdrecord esound freetype2 gdk-pixbuf glib gtk+ libSDL libalsa2 libarts libaudiofile libdirectfb libdv libjpeg liblcms libogg libslang libungif libvorbis libxine perl-GTK-GdkPixbuf perl-devel rar transcode xpm
BuildRequires: ImageMagick XFree86-libs XFree86-locales aalib esound freetype2
BuildRequires: gdk-pixbuf glib gtk+ libSDL libalsa2 libarts libaudiofile libdirectfb
BuildRequires: libdv libjpeg liblcms libogg libslang libungif libvorbis libxine perl-GTK-GdkPixbuf
BuildRequires: perl-devel perl-Event transcode xpm

%description
dvd::rip is a full featured DVD copy program written in Perl. It provides
an easy to use but feature-rich Gtk+ GUI to control almost all aspects of
the ripping and transcoding process. It uses the widely known video processing
swissknife transcode and many other Open Source tools.

%prep
%setup -q -n %module_dir-%module_name-%version
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

# menu
%__cat <<__MENU__ >%_name.menu
?package(%name): needs="x11" section="Multimedia/Video" \
title="DVDRip" longtitle="DVD ripping graphical tool" \
command="%_bindir/%_name" icon="%_name.xpm"
__MENU__

%__install -pD -m644 %_name.menu %buildroot%_menudir/%_name

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%perl_vendor_privlib/%module_dir/*
%perl_vendor_man1dir/*
%perl_vendor_man3dir/*
%_menudir/*
%doc Changes Credits README TODO

%changelog
* Mon Nov 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.16-alt0.5
- 0.50.16
- deparse patch by at@.

* Sat May 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.13-alt0.5
- 0.50.13 

* Thu May 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.12-alt0.5
- 0.50.12

* Sun Apr 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.11-alt0.5
- 0.50.11

* Sat Mar 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.9-alt0.5
- 0.50.9

* Wed Mar 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.7-alt0.5
- 0.50.7

* Mon Mar 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.5-alt0.5
- 0.50.5

* Thu Feb 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.4-alt0.5
- First build for Sisyphus.

